# IntDoubleFunction (Colt 1.2.0 - API Specification)
Keywords: cern.colt.function.IntDoubleFunction interface

Colt 1.2.0

## cern.colt.function
Interface IntDoubleFunction

public interface IntDoubleFunction

Interface that represents a function object: a function that takes two arguments.

Method Summary
`double` `apply(int first, double second)` Applies a function to two arguments.

Method Detail

### apply

    public double apply(int first,
                        double second)

  Applies a function to two arguments.

  Parameters:
    `first` - first argument passed to the function.
    `second` - second argument passed to the function.
  Returns:
    the result of the function.

Colt 1.2.0

Jump to the Colt Homepage